DHCPLEASECTL(8)

NAME
dhcpleasectl - control the dhcpleased daemon

SYNOPSIS
dhcpleasectl [-l] [-s socket] [-w maxwait] interface

DESCRIPTION
The dhcpleasectl program instructs the dhcpleased(8) daemon to request a new lease.

The following options are available:

-l  List the configured lease on interface instead of requesting a new lease.

-s socket
    Use socket instead of the default /dev/dhcpleased.sock to communicate with dhcpleased(8).

-w maxwait
    Specify the maximum number of seconds to wait for interface to be configured. The default is to wait 10 seconds unless -l is specified.

FILES
/dev/dhcpleased.sock
    UNIX-domain socket used for communication with dhcpleased(8).

SEE ALSO
dhcpleased.conf(5), dhcpleased(8)

HISTORY
The dhcpleasectl program first appeared in OpenBSD 6.9.